Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:48 2009

## Asterisk developer's documentation

# playtones_state Struct Reference

Collaboration diagram for playtones_state:

[legend]

## Data Fields

short | data [4000]
struct ast_frame | f
struct playtones_item * | items
int | nitems
int | npos
unsigned char | offset [AST_FRIENDLY_OFFSET]
int | oldnpos
int | origwfmt
int | pos
int | reppos
int | v1_1
int | v1_2
int | v2_1
int | v2_2
int | v3_1
int | v3_2
int | vol

## Detailed Description

Definition at line 83 of file indications.c.

## Field Documentation

short data[4000]

Definition at line 100 of file indications.c.

Referenced by playtones_generator().

struct ast_frame f`[read]`

Definition at line 98 of file indications.c.

Referenced by playtones_generator().

struct playtones_item* items`[read]`

Definition at line 93 of file indications.c.

Referenced by playtones_alloc(), playtones_generator(), and playtones_release().

int nitems

Definition at line 92 of file indications.c.

Referenced by playtones_alloc(), and playtones_generator().

int npos

Definition at line 94 of file indications.c.

Referenced by playtones_generator().

unsigned char offset[AST_FRIENDLY_OFFSET]

Definition at line 99 of file indications.c.

int oldnpos

Definition at line 95 of file indications.c.

Referenced by playtones_alloc(), and playtones_generator().

int origwfmt

Definition at line 97 of file indications.c.

Referenced by playtones_alloc(), and playtones_release().

int pos

Definition at line 96 of file indications.c.

Referenced by playtones_generator().

int reppos

Definition at line 91 of file indications.c.

Referenced by playtones_alloc(), and playtones_generator().

int v1_1

Definition at line 85 of file indications.c.

Referenced by playtones_generator().

int v1_2

Definition at line 88 of file indications.c.

Referenced by playtones_generator().

int v2_1

Definition at line 86 of file indications.c.

Referenced by playtones_generator().

int v2_2

Definition at line 89 of file indications.c.

Referenced by playtones_generator().

int v3_1

Definition at line 87 of file indications.c.

Referenced by playtones_generator().

int v3_2

Definition at line 90 of file indications.c.

Referenced by playtones_generator().

int vol

Definition at line 84 of file indications.c.

Referenced by playtones_alloc().

The documentation for this struct was generated from the following file:

- indications.c